Summary:	Security oriented static analyser for python code.
Name:		python-bandit
Version:	1.7.4
Release:	3%{?dist}
License:	Apache-2.0
URL:		https://github.com/PyCQA/bandit
Source0:	https://files.pythonhosted.org/packages/source/b/bandit/bandit-%{version}.tar.gz
BuildArch:	noarch


%description
Bandit is a tool designed to find common security issues in Python code. To do this Bandit processes each file, builds an AST from it, 
and runs appropriate plugins against the AST nodes. Once Bandit has finished scanning all the files it generates a report.
Bandit was originally developed within the OpenStack Security Project and later rehomed to PyCQA.

%package -n python3-bandit
Summary:	Security oriented static analyser for python code.
Provides:	python-bandit
BuildRequires:	python3-devel  python3-pbr
BuildRequires:  python3-pip	python3-setuptools

%description -n python3-bandit
Bandit is a tool designed to find common security issues in Python code. 

%prep
%autosetup -n bandit-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-bandit
%license LICENSE
%doc AUTHORS ChangeLog README.rst
%{_bindir}/bandit
%{_bindir}/bandit-config-generator
%{_bindir}/bandit-baseline
%{python3_sitelib}/bandit
%{python3_sitelib}/bandit-%{version}*-info


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.7.4-2
- rebuild

* Thu Apr 13 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.7.4-1
- initial build
